Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619669 - abrt 1.1.1 cannot submit bug report for signal 11 in xulrunner 1.9.2
abrt 1.1.1 cannot submit bug report for signal 11 in xulrunner 1.9.2
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 02:24 EDT by Peter H. Jones
Modified: 2015-02-01 17:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 10:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter H. Jones 2010-07-30 02:24:07 EDT
Description of problem:


Version-Release number of selected component (if applicable):
1.1.1

How reproducible:
Has happened only once

Steps to Reproduce:
1. Unknown

  
Actual results:
Can't report because stack trace is unusable. After running debuginfo-install xulrunner, stack trace is still unusable.

Expected results:
Should be able to submit bug report

Additional info:
Comment 1 Peter H. Jones 2010-08-01 00:25:26 EDT
This bug causing the crash resembles #619597: same program seems to be crashing, same kernel. But I'm getting a Signal 11, SIGSEGV not an ABRT as in the aforementioned bug.

Here is what I got by copying to the clipboard and pasting:
Package:    	xulrunner-1.9.2.7-2.fc13
Latest Crash:	Sat 31 Jul 2010 11:56:47 PM 
Command:    	/usr/lib/xulrunner-1.9.2/plugin-container /home/jones/.mozilla/plugins/libflashplayer.so 2495 plugin
Reason:     	Process /usr/lib/xulrunner-1.9.2/plugin-container was killed by signal 11 (SIGSEGV)
Comment:    	None
Bug Reports:
Comment 2 Jiri Moskovcak 2010-08-03 07:26:30 EDT
Hi,
this is not a bug in plugin-container but in libflashplayer.so the problem is  that libflashplayer.so is a 3rd party closed source program and has no debuginfo to install and thus making the backtrace unusable. This component is blacklisted in next ABRT release, so it won't bother you anymore.

Jirka.
Comment 3 Peter H. Jones 2010-08-12 10:56:59 EDT
The crash occurred again today. I have not yet found a newer release of my current abrt-1.1.2-fc13. While I was still in in Add/Remove software window, I also visited the abrt webpage, and found a ticket echoing my experience, but with eclipse. The ticket is at
https://fedorahosted.org/abrt/ticket/113 .

In order to follow progress on this problem, I tried to set the status to Open/NextRelease. However, the only choice I was offered was Assigned, so I've set it there, and will watch for the next release.

In the meamtime, I wouldn't mind a official patch to the blacklist that would cause flagging to myself without filing a report. That way, I'd have an additional way to catch bugs in flash. Meanwhile, with no changes, I'll have abrt delete the occasional useless bug reports.

Thanks for your help.
Comment 4 Peter H. Jones 2010-08-16 15:24:31 EDT
Got a crash in Skype today. Obviously, Skype should be blacklisted too. However, abrt suggests running the useless command "debug-install skype", which searches only the configured repositories, and not the skype website. I doubt Skype makes a debugging version available.
Comment 5 Jiri Moskovcak 2010-08-17 04:31:33 EDT
(In reply to comment #4)
> Got a crash in Skype today. Obviously, Skype should be blacklisted too.
> However, abrt suggests running the useless command "debug-install skype", which
> searches only the configured repositories, and not the skype website. I doubt
> Skype makes a debugging version available.

Skype is not a Fedora package and is ignored in the default configuration, but there is a minor bug in abrt-1.1.13 config (gpg check is disabled) which makes abrt to catch crashes even in non-Fedora packages. this is fixed in 1.1.13-2 which is in the testing repo, you can try: 

$ yum update abrt --enablerepo=updates-testing
Comment 6 Bug Zapper 2011-06-01 08:30:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Peter H. Jones 2011-06-01 10:39:43 EDT
Haven't had this bug lately. Closing.

Note You need to log in before you can comment on or make changes to this bug.